<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Alerta;          // ← importa aquí tu modelo
use Illuminate\Support\Facades\Auth;

class AlertaController extends Controller
{
    public function store(Request $request)
    {
        $usuario = Auth::user();

        $alerta = Alerta::create([
            'user_id' => $usuario->id,
            'empresa_id' => $usuario->empresa_id ?? null,
            'latitud' => $request->latitud,
            'longitud' => $request->longitud,
            'tipo' => 'panico',
            'estado' => 'pendiente',
        ]);


        // ¿Tiene una alerta activa?
        $alertaActiva = Alerta::where('user_id', $usuario->id)
                            ->whereIn('estado', ['pendiente', 'atendida'])
                            ->latest()
                            ->first();

        $alertas = Alerta::where('user_id', $usuario->id)
                        ->latest()
                        ->take(5)
                        ->get();

        if($usuario->email == "guardia@holesteck.cl" || $usuario->email == "guardia2@holesteck.cl")
            return view('enviar_alertas.smsHolesteck', compact('alertas', 'alertaActiva'))->with('success', '¡Botón de pánico activado!');
        else
        {

            return view('enviar_alertas.sms', compact('alertas', 'alertaActiva'))->with('success', '¡Botón de pánico activado!');
        // return back()->with('success', '¡Botón de pánico activado!');
        }
    }

    public function marcarFalsaAlarma(Alerta $alerta)
    {
        if ($alerta->user_id !== Auth::user()->id) {
            abort(403, 'No puedes modificar esta alerta');
        }

        if (!in_array($alerta->estado, ['pendiente', 'atendida'])) {
            return back()->with('error', 'Esta alerta ya fue cerrada o no puede ser modificada.');
        }

        $alerta->estado = 'falsa_alarma';
        $alerta->save();

        return back()->with('success', 'Alerta marcada como falsa alarma.');
    }

}
